Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If TextBox1.Text = String.Empty Then
            ErrorProvider1.SetError(TextBox1, "خواهشمند است کادر اول را کامل نمایید")
        Else
            ErrorProvider1.SetError(TextBox1, "")
        End If
        If TextBox2.Text = String.Empty Then
            ErrorProvider1.SetError(TextBox2, "خواهشمند است کادر اول را کامل نمایید")
        Else
            ErrorProvider1.SetError(TextBox2, "")
        End If
        If TextBox4.Text = String.Empty Then
            ErrorProvider1.SetError(TextBox3, "خواهشمند است کادر اول را کامل نمایید")
        Else
            ErrorProvider1.SetError(TextBox3, "فرادرس")
        End If
    End Sub
End Class
